%global srcname ezlib


Name:       erlang-%{srcname}
Version:    1.0.2
Release:    1%{?dist}

License:    ASL 2.0
Summary:    Native zlib driver for Erlang
URL:        https://github.com/processone/ezlib/
Source0:    https://github.com/processone/ezlib/archive/%{version}.tar.gz

Provides:   erlang-p1_zlib = %{version}-%{release}
Obsoletes:  erlang-p1_zlib <= 1.0.1-2

BuildRequires: erlang-rebar
BuildRequires: zlib-devel

%{?__erlang_drv_version:Requires: %{__erlang_drv_version}}


%description
A native zlib driver for Erlang / Elixir, used by ejabberd.


%prep
%autosetup -n ezlib-%{version}


%build
%configure --enable-nif
# There is a pull request upstream for this -lz https://github.com/processone/ezlib/pull/1
LDFLAGS="$LDFLAGS -lz" %{rebar_compile}


%check
%{rebar_eunit}


%install
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib

install -pm755 priv/lib/ezlib_drv.so \
    $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/
%{erlang_install}


%files
%license LICENSE.txt
%doc README.md
%{erlang_appdir}


%changelog
* Sun Feb 12 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2 (#1412100).
- https://github.com/processone/ezlib/blob/1.0.2/CHANGELOG.md

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Mar 18 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.1-5
- Build a debug package for the C code.

* Tue Mar 15 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.1-4
- Updated to use the new Erlang specfile macros.

* Sun Mar 06 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.1-3
- Initial release.
